Bug 241427 - Critical referencer memory bug on x86_64
Summary: Critical referencer memory bug on x86_64
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: referencer (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-25 21:57 UTC by Rick L Vinyard Jr
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.0.4-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 22:07:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes x86_64 bug for referencer 1.0.3 (3.27 KB, patch)
2007-05-29 21:48 UTC, Rick L Vinyard Jr
no flags Details | Diff
specfile that incorporates 1.0.3 x86_64 patch (2.17 KB, text/x-rpm-spec)
2007-05-29 21:50 UTC, Rick L Vinyard Jr
no flags Details

Description Rick L Vinyard Jr 2007-05-25 21:57:51 UTC
Description of problem: 

referencer 1.0.3 has a critical memory bug on x86_64. The bug is evidenced when 
trying to save a file. The following URLs have more info:

http://icculus.org/cgi-bin/ezmlm/ezmlm-cgi?60:mss:92:200705:ajlbiaeibgagoegbopck

http://icculus.org/cgi-bin/ezmlm/ezmlm-
cgi?60:mss:118:200705:hjnoiejholbacenkonjg

I know this is an upstream bug, but perhaps an excludearch, or a build from 
subversion (which apparently has the fix already) would be appropriate?

Comment 1 Deji Akingunola 2007-05-25 23:02:51 UTC
I've seen it myself, and was hoping for ver 1.0.4 to come out soon with the fix.
Thanks for the report.

Comment 2 Rick L Vinyard Jr 2007-05-29 21:48:55 UTC
Created attachment 155644 [details]
Fixes x86_64 bug for referencer 1.0.3

Comment 3 Rick L Vinyard Jr 2007-05-29 21:50:30 UTC
Created attachment 155645 [details]
specfile that incorporates 1.0.3 x86_64 patch

Comment 4 Rick L Vinyard Jr 2007-05-29 21:52:28 UTC
FWIW here are a fix for the 1.0.3 bug and a specfile that incorporates the fix...

Comment 5 Deji Akingunola 2007-05-30 13:11:39 UTC
Thanks for the patch and the specfile, I've tested it and it works OK. The new
package with the fix should appear with the next set of updates.

Comment 6 Fedora Update System 2007-06-11 22:07:17 UTC
referencer-1.0.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.